<ui:composition template="/WEB-INF/templates/layout.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:p="http://primefaces.org/ui">
	
	<ui:param name="title" value="Update Project" />
	
	<f:metadata>
		<f:viewParam name="projectId" value="#{projectUpdateBacking.id}" />
		<f:viewAction action="#{projectUpdateBacking.init}" />
	</f:metadata>
	
	<ui:define name="content">
		<div class="content-wrapper">
			<div class="content-header">
				<h1>Update your project</h1>
			</div>
			<p:separator />
			<div class="content-body p-grid p-formgrid ui-fluid">
				<div class="card">
					<p:messages id="messages" globalOnly="true" showDetail="false">
						<p:autoUpdate />
					</p:messages>
					<h:form id="updateProjectForm" method="post">
						<div class="form-element p-field">
							<p:outputLabel for="projectName" value="Name" />
							<p:inputText id="projectName" value="#{projectUpdateBacking.name}"
								required="true" 
								requiredMessage="Project name cannot be empty">
								<p:clientValidator event="blur" />
							</p:inputText>
							<small><p:message id="projectName-error" for="projectName" display="text" /></small>
						</div>
						<div class="form-element p-field">
							<p:outputLabel for="projectDescription" value="Description (optional)"/>
							<p:inputTextarea id="projectDescription" value="#{projectUpdateBacking.description}"
								required="false" 
								rows="10" 
								cols="50" 
								autoResize="true" />
						</div>
						<div class="form-element p-field">
							<p:outputLabel for="startDate" value="Planned due date" />
							<p:datePicker id="startDate" value="#{projectUpdateBacking.startDate}"
								required="true"
								requiredMessage="Start date cannot be empty"
								monthNavigator="true"
								yearNavigator="true"
								showOtherMonths="true"
								selectOtherMonths="true">
								<p:clientValidator event="blur" />	
							</p:datePicker>
							<small><p:message id="startDate-error" for="startDate" display="text" /></small>
						</div>
						<div class="form-element p-field">
							<p:outputLabel for="dueDate" value="Planned due date" />
							<p:datePicker id="dueDate" value="#{projectUpdateBacking.dueDate}"
								required="true"
								requiredMessage="Due date cannot be empty"
								monthNavigator="true"
								yearNavigator="true"
								showOtherMonths="true"
								selectOtherMonths="true">
								<p:clientValidator event="blur" />	
							</p:datePicker>
							<small><p:message id="dueDate-error" for="dueDate" display="text" /></small>
						</div>
						<div>
							<p:selectOneMenu id="teamSelect" value="#{projectUpdateBacking.selectedTeamId}" effect="none">
								<f:selectItem itemLabel="Select a team" itemValue="0" noSelectionOption="true" />
								<f:selectItems value="#{projectUpdateBacking.teams}"
									var="t"
									itemLabel="#{t.name}" 
									itemValue="#{t.id}" />
							</p:selectOneMenu>
						</div>
						<div class="btn-container">
							<p:commandButton id="btnUpdate" 
								value="Update" 
								action="#{projectUpdateBacking.update()}" 
								validateClient="true" 
								update="@form"
								styleClass="form-button" />
							<p:linkButton id="btnCancel" value="Cancel" outcome="/user/project/project-details" styleClass="form-button btn-delete">
								<f:param name="projectName" value="#{projectUpdateBacking.name}" />
							</p:linkButton>
						</div>
					</h:form>
				</div>
			</div>
		</div>
	</ui:define>
</ui:composition>